<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V2.0//EN"
  "http://www.logreport.org/LRSML/2.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="www" id="requests-by-result" charttype="pie">

 <lire:title>Requests By HTTP Result WWW Report</lire:title>
 <lire:description>
  <para>This report shows the number of requests for each HTTP result.</para>
 </lire:description>

 <lire:display-spec>
  <lire:title>Requests By HTTP Result</lire:title>

  <lire:description>
   <para>
    The most common HTTP status codes are given below:

    <variablelist>

     <varlistentry>
      <term>200</term>
      <listitem>
       <para>OK (The request has succeeded.)</para>
      </listitem>
     </varlistentry>

     <varlistentry>
      <term>201</term>
      <listitem>
       <para>Created (The request has been fulfilled and
	resulted in a new resource being created.)</para>
      </listitem>
     </varlistentry>

     <varlistentry>
      <term>206</term>
      <listitem><para>Partial Content (The server has fulfilled the
	partial GET request for the resource.)</para></listitem>
     </varlistentry>

     <varlistentry>
      <term>301</term>
      <listitem><para>Moved Permanently (The requested resource has
	been assigned a new permanent URI and any future references to
	this resource SHOULD use one of the returned
	URIs.)</para></listitem>
     </varlistentry>

     <varlistentry>
      <term>302</term>
      <listitem>
       <para>Found (The requested resource resides
	temporarily under a different URI.)</para>
      </listitem>
     </varlistentry>
     
     <varlistentry>
      <term>304</term>
      <listitem>
       <para>Not Modified (The client has performed a
	conditional GET request and access is allowed, but the
	document has not been modified.)</para>
      </listitem>
     </varlistentry>
     
     <varlistentry>
      <term>403</term>
      <listitem>
       <para>Forbidden (The server understood the request,
	but is refusing to fulfill it.)</para>
      </listitem>
     </varlistentry>
     <varlistentry>
      <term>404</term>
      <listitem>
       <para>Not Found (The server has not found anything
	matching the Request-URI.)</para>
      </listitem>
     </varlistentry>
    </variablelist>
   </para>
   
   <para userlevel="advanced">
    The definitions of all HTTP status codes are given in
    <ulink url="http://www.w3.org/Protocols/rfc2616/rfc2616.html">RFC
     2616</ulink>.
   </para>
  </lire:description>
 </lire:display-spec>

 <lire:report-calc-spec>
  <lire:group sort="http_result">
   <lire:field name="http_result"/>

   <lire:count name="request_total" label="Requests"/>
   <lire:count name="request_ratio" ratio="table" label="% Total"/>
  </lire:group>
 </lire:report-calc-spec>

</lire:report-spec>

<!-- 
Keep this comment at the end of the file
Local variables:
mode: xml
-->
